# Interface SelfNodeConfig

interface SelfNodeConfig {
capacity?: Partial<SelfSurfaceCapacity>;
configPath: string;
endpoint: string;
hostname: string;
identity: string;
monadId?: string;
monadName?: string;
privateKey?: string;
publicKey?: string;
resources?: string[];
tags: string[];
trust?: SelfSurfaceTrust;
type?: SelfSurfaceType;
}

- Defined in http/selfMapping.ts:6

##### Index

### Properties

capacity?
configPath
endpoint
hostname
identity
monadId?
monadName?
privateKey?
publicKey?
resources?
tags
trust?
type?

## Properties

### `Optional` capacity

capacity?: Partial<SelfSurfaceCapacity>

- Defined in http/selfMapping.ts:19

### configPath

configPath: string

- Defined in http/selfMapping.ts:15

### endpoint

endpoint: string

- Defined in http/selfMapping.ts:13

### hostname

hostname: string

- Defined in http/selfMapping.ts:14

### identity

identity: string

- Defined in http/selfMapping.ts:7

### `Optional` monadId

monadId?: string

- Defined in http/selfMapping.ts:8

### `Optional` monadName

monadName?: string

- Defined in http/selfMapping.ts:9

### `Optional` privateKey

privateKey?: string

- Defined in http/selfMapping.ts:11

### `Optional` publicKey

publicKey?: string

- Defined in http/selfMapping.ts:10

### `Optional` resources

resources?: string[]

- Defined in http/selfMapping.ts:18

### tags

tags: string[]

- Defined in http/selfMapping.ts:12

### `Optional` trust

trust?: SelfSurfaceTrust

- Defined in http/selfMapping.ts:17

### `Optional` type

type?: SelfSurfaceType

- Defined in http/selfMapping.ts:16